Create schedule for surface

Create a new schedule (one-time or recurring) for a schedule-type surface.

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired
surfaceIdstringRequired

Request

This endpoint expects an object.
flowIdstringRequired
triggerTypeenumRequired
Allowed values:
cronstringOptional
enabledbooleanOptional
executionOptionsobjectOptional
recordFilterobjectOptional
recordIdslist of stringsOptional
recordTypestringOptional>=1 character
runAtdatetimeOptional
timezonestringOptional

Response

Schedule created
agentIdstring or null
createdAtstring
cronstring or null
enabledboolean
executionOptionsmap from strings to any
flowIdstring or null
idstring
inputsmap from strings to any or null
lastRunAtstring or null
namestring or null
nextRunAtstring or null
organizationIdstring or null
productSurfaceIdstring or null
recordIdslist of strings or null
recordTypestring or null
runAtstring or null
timezonestring or null
triggerTypestring
updatedAtstring
userIdstring
messagesany
recordFilterany

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error